Jump to content
DeployCentral

Error when Opening SmartDeploy V3


jmriggs1972
 Share

Recommended Posts

I followed all the necessary steps for upgrading from V2 to V3 of SmartDeploy and it was working correctly immediately afterwards. I uninstalled V2 as indicated, and now V3 gives an error message when I attempt to open the program. It indicates it is attempting to connect to the SmartDeploy server, but then errors out and says "Unable to authenticate with the provided SmartDeploy Api Service URL. Please ensure the URL is correct and the server is available." I know this is pointing to the localhost at port 8080. I still have V2 installed on another computer and it is authenticating with no issue at all. Any suggestions on how to fix this?

Link to comment
Share on other sites

Having this issue as well ran into it two or three times now. Figured something got corrupted so I did a repair install and it worked again. Then I did a full uninstall and reinstall and it worked again. It just stopped working yesterday again. Can't keep doing that so I opened a ticket just now. Also added the exceptions when it prompts and verified they were there. Stopping the service and restarting it including a full reboot doesn't help either.

I just tried installing V3 on my own machine to try to connect to the server, same error even with the proper URL added. Very odd.

Link to comment
Share on other sites

Please contact us in support, and we can investigate the issue. We'll want to make sure that the MongoDB service is starting, and add a dependency for the SmartDeploy API service to not start until the MondoDB service has also started. We're releasing a new version that addresses this and other bugs discovered since release soon, but the command to add that dependency is: sc config sdapiservice depend= mongodb

We have also discovered that some users have a service that's using port 8080, which affects the SmartDeploy API service. Running netstat -ab will give you a list of everything that's using a port and you can determine if this the case for you. We're working on a solution for this in situations where users cannot remove the other application that's using port 8080. 

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...